libgjs needs a rebuild for xulrunner-1.9.2.6

Bug #597944 reported by Micah Gersten on 2010-06-24
84
This bug affects 18 people
Affects Status Importance Assigned to Milestone
gjs (Ubuntu)
Medium
Unassigned
Nominated for Maverick by Bobby
Lucid
High
Unassigned

Bug Description

Binary package hint: gjs

No source change rebuild since bug 576991 isn't done yet.

Related branches

Micah Gersten (micahg) wrote :

Tested as building in local pbuilder.

Daniel Holbach (dholbach) wrote :

It FTBFS for me:

Started bus pid 23845 at unix:abstract=/tmp/dbus-root-23828-463c-system
Running with dbus: gtester --verbose gjs-tests gjs-unit with stderr to test_user_data/logs/stderr.log
TEST: gjs-tests... (pid=23848)
  /gjs/jsapi/util/array: OK
  /gjs/jsapi/util/error/throw: OK
  /gjs/jsapi/util/string/js/string/utf8: OK
  /gjs/jsapi/util/string/get/ascii: OK
  /gjs/jsapi/util/string/get/binary: OK
  /gjs/stack/dump: OK
  /util/glib/strv/concat/null: OK
  /util/glib/strv/concat/pointers: OK
PASS: gjs-tests
TEST: gjs-unit... (pid=23880)
  /js/self: OK
  /js/Signals: OK
  /js/Locale: OK
  /js/Importer: FAIL
GTester: last random seed: R02Sedc671db4855b53d45ea6d91295397cf
killing message bus 23842
killing message bus 23845
./test/run-with-dbus: script "gtester" failed
make[2]: *** [test] Error 1
make[2]: Leaving directory `/tmp/buildd/gjs-0.5/_build'
dh_auto_test: make -j1 test returned exit code 2
make[1]: *** [override_dh_auto_test] Error 29
make[1]: Leaving directory `/tmp/buildd/gjs-0.5'
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package
I: unmounting dev/pts filesystem
I: unmounting proc filesystem
I: cleaning the build env
I: removing directory /var/cache/pbuilder/build//21869 and its subdirectories

Daniel Holbach (dholbach) wrote :

Sébastien just told me that a new version is in Debian, maybe it's worth merging.

Daniel Holbach (dholbach) wrote :

Unsubscribing sponsors for now. Please resubscribe when ready.

Chris Coulson (chrisccoulson) wrote :

We need to fix this to remove the rpath from gjs so we don't have to do this in future (bug 576991), else this is going to be a maintenance nightmare

Changed in gjs (Ubuntu Lucid):
importance: Undecided → High
Changed in gjs (Ubuntu):
importance: Undecided → Medium
Changed in gjs (Ubuntu Lucid):
status: New → Triaged
Changed in gjs (Ubuntu):
status: New → Triaged
Chris Coulson (chrisccoulson) wrote :

Incidentally, we've already published the security update to Lucid which breaks gjs and gnome-shell until this is fixed

tags: added: patch
Micah Gersten (micahg) on 2010-07-02
Changed in gjs (Ubuntu Lucid):
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) wrote :
summary: - libgjs needs a rebuild for xulrunner-1.9.2.4
+ libgjs needs a rebuild for xulrunner-1.9.2.6
Micah Gersten (micahg) wrote :

Unassigning myself and resubscribing -sponsors. Lucid is the only one that works ATM.

Changed in gjs (Ubuntu Lucid):
assignee: Micah Gersten (micahg) → nobody
status: Triaged → Confirmed
Chris Coulson (chrisccoulson) wrote :

This is already fixed in maverick (the current version was built against 1.9.2.6, and the test suite was disabled)

Changed in gjs (Ubuntu):
status: Triaged → Fix Released
trampster (trampster) wrote :

This problem exist right now in Ubuntu 10.04 (the current long term support release) and it is preventing the use of Gnome Shell (the next generation of gnome interface).

The status says- Fix Released. This is wrong, it may be fixed in maverick but it is much more important that this is fixed in Lucid seeing as that is what everyone is actually using right now. And a lot of people will be using it for the next few years.

This was not broken when lucid was released it was broken by an update. Therefore it must also be fixed by an update. Or else no one can use gnome shell from the package manager.

Colin Watson (cjwatson) wrote :

trampster, please note that there is already a bug task open for Lucid.

Changed in gjs (Ubuntu Lucid):
status: Confirmed → Fix Committed
tags: added: verification-needed

Accepted gjs into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Micah Gersten (micahg) wrote :

gnome-shell is installable again with -proposed enabled

Martin Pitt (pitti) on 2010-07-12
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gjs - 0.5-1ubuntu2.1

---------------
gjs (0.5-1ubuntu2.1) lucid-proposed; urgency=low

  * No source change rebuild to pick up xulrunner 1.9.2.6 (LP: #597944)
 -- Micah Gersten <email address hidden> Fri, 02 Jul 2010 02:22:50 -0500

Changed in gjs (Ubuntu Lucid):
status: Fix Committed → Fix Released
blackSP (info-wijhenke) wrote :

Sorry people, just tried to install Gnome Shell (sudo apt-get install gnome-shell) and it gives:

The following packages have unmet dependencies:
  gnome-shell: Depends: libgjs0 but it is not going to be installed
E: Broken packages

Running Ubuntu 10.04-64bit (Gnome)

See bug 608940

On 07/30/2010 01:56 PM, blackSP wrote:
> Sorry people, just tried to install Gnome Shell (sudo apt-get install
> gnome-shell) and it gives:
>
> The following packages have unmet dependencies:
> gnome-shell: Depends: libgjs0 but it is not going to be installed
> E: Broken packages
>
> Running Ubuntu 10.04-64bit (Gnome)
>

blackSP (info-wijhenke) wrote :

OK:

sudo apt-get install gnome-shell/lucid-proposed
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Release 'lucid-proposed' for 'gnome-shell' was not found

Synaptic is configured for proposed.
What am I missing here?

Micah Gersten (micahg) wrote :

Please don't comment in this bug as it's Fixed for this xul version.
Please comment in the other bug. To answer your question though, you
should be installing libgjs0 from proposed, not gnome-shell.

On 07/30/2010 02:27 PM, blackSP wrote:
> OK:
>
> sudo apt-get install gnome-shell/lucid-proposed
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> E: Release 'lucid-proposed' for 'gnome-shell' was not found
>
> Synaptic is configured for proposed.
> What am I missing here?
>
>

blackSP (info-wijhenke) wrote :

Sorry, thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers